<?php
declare(strict_types=1);

namespace Tiara\Orm\Container;

use Doctrine\Common\Annotations\Reader;
use Doctrine\ORM\Mapping\Driver\AnnotationDriver;
use Psr\Container\ContainerInterface;

/**
 * Class AnnotationDriverFactory
 *
 * @package Tiara\Orm\Container
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/tiara-orm
 */
final class AnnotationDriverFactory
{
    public function __invoke(ContainerInterface $container): AnnotationDriver
    {
        return new AnnotationDriver(
            $container->get(Reader::class)
        );
    }
}
