<?php
declare(strict_types=1);

namespace Tiara\Orm\Container;

use Doctrine\Common\Annotations\AnnotationReader;
use Doctrine\Common\Annotations\PsrCachedReader;
use Doctrine\Common\Annotations\Reader;
use Psr\Container\ContainerInterface;

/**
 * Class AnnotationReaderFactory
 *
 * @package Tiara\Orm\Container
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/tiara-orm
 */
final class AnnotationReaderFactory
{
    public function __invoke(ContainerInterface $container): Reader
    {
        return new PsrCachedReader(
            new AnnotationReader(),
            $container->get('orm.cache')
        );
    }
}
