<?php
declare(strict_types=1);

namespace Tiara\Orm\Container;

use Psr\Cache\CacheItemPoolInterface;
use Psr\Container\ContainerInterface;
use Symfony\Component\Cache\Adapter\ArrayAdapter;

/**
 * Class CacheFactory
 *
 * @package Tiara\Orm\Container
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/tiara-orm
 */
final class CacheFactory
{
    public function __invoke(ContainerInterface $container): CacheItemPoolInterface
    {
        $config = $container->has('config') ? $container->get('config') : [];

        if ($config['debug'] ?? false) {
            return new ArrayAdapter();
        }

        $config = $config['orm']['cache'] ?? [];

        switch ($config['name'] ?? null) {
            default:
                return new ArrayAdapter();
        }
    }
}
