<?php
declare(strict_types=1);

namespace Tiara\Orm\Container;

use Doctrine\DBAL\Connection;
use Doctrine\DBAL\DriverManager;
use Doctrine\DBAL\Exception as DBALException;
use Psr\Container\ContainerInterface;

/**
 * Class ConnectionFactory
 *
 * @package Tiara\Orm\Container
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/tiara-orm
 */
final class ConnectionFactory
{
    /**
     * @throws DBALException
     */
    public function __invoke(ContainerInterface $container): Connection
    {
        $config = $container->get('config')['orm']['connection'] ?? [];
        return DriverManager::getConnection($config);
    }
}
