<?php
declare(strict_types=1);

namespace TiaraTest\Orm\Container;

use Doctrine\Common\Annotations\Reader;
use Doctrine\ORM\Mapping\Driver\AnnotationDriver;
use Tiara\Orm\Container\AnnotationDriverFactory;
use TiaraTest\Orm\AbstractTestCase;

/**
 * Class AnnotationDriverFactoryTest
 *
 * @package TiaraTest\Orm\Container
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/tiara-orm
 */
final class AnnotationDriverFactoryTest extends AbstractTestCase
{
    public function testCanCreateTheDriver()
    {
        $container = $this->getContainer();
        $factory = new AnnotationDriverFactory();

        $driver = $factory($container);

        self::assertInstanceOf(AnnotationDriver::class, $driver);
        self::assertSame($container->get(Reader::class), $driver->getReader());
    }

    public function testDriversAreNotShared()
    {
        $container = $this->getContainer();

        $driver1 = $container->get(AnnotationDriver::class);
        $driver2 = $container->get(AnnotationDriver::class);

        self::assertNotSame($driver1, $driver2);
    }
}
