<?php
declare(strict_types=1);

namespace TiaraTest\Orm\Container;

use Doctrine\Common\Annotations\Reader;
use Tiara\Orm\Container\AnnotationReaderFactory;
use TiaraTest\Orm\AbstractTestCase;

/**
 * Class AnnotationReaderFactoryTest
 *
 * @package TiaraTest\Orm\Container
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/tiara-orm
 */
final class AnnotationReaderFactoryTest extends AbstractTestCase
{
    public function testCanCreateTheReader()
    {
        $container = $this->getContainer();
        $factory = new AnnotationReaderFactory();

        $reader = $factory($container);

        self::assertInstanceOf(Reader::class, $reader);
    }
}
