<?php
declare(strict_types=1);

namespace TiaraTest\Orm\Container;

use Psr\Cache\CacheItemPoolInterface;
use Symfony\Component\Cache\Adapter\ArrayAdapter;
use Tiara\Orm\Container\CacheFactory;
use TiaraTest\Orm\AbstractTestCase;

/**
 * Class CacheFactoryTest
 *
 * @package TiaraTest\Orm\Container
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/tiara-orm
 */
final class CacheFactoryTest extends AbstractTestCase
{
    public function testCanCreateCache()
    {
        $container = $this->getContainer();
        $factory = new CacheFactory();

        $cache = $factory($container);

        self::assertInstanceOf(CacheItemPoolInterface::class, $cache);
    }

    public function testWillCreateArrayCacheWhenDebugging()
    {
        $container = $this->getContainer(['debug' => true]);
        $cache = $container->get('orm.cache');

        self::assertInstanceOf(ArrayAdapter::class, $cache);
    }
}
