<?php
declare(strict_types=1);

namespace TiaraTest\Orm\Container;

use Doctrine\ORM\EntityManagerInterface;
use TiaraTest\Orm\AbstractTestCase;

/**
 * Class EntityManagerFactoryTest
 *
 * @package TiaraTest\Orm\Container
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/tiara-orm
 */
final class EntityManagerFactoryTest extends AbstractTestCase
{
    public function testCanCreateTheEntityManager()
    {
        $container = $this->getContainer();
        self::assertTrue($container->has(EntityManagerInterface::class));

        $em = $container->get(EntityManagerInterface::class);
        self::assertInstanceOf(EntityManagerInterface::class, $em);
    }
}
