<?php
declare(strict_types=1);

namespace TiaraTest\Orm\Container;

use Doctrine\Persistence\Mapping\Driver\MappingDriver;
use TiaraTest\Orm\AbstractTestCase;
use TiaraTest\Orm\Entity\MockEntity;

/**
 * Class MappingDriverFactoryTest
 *
 * @package TiaraTest\Orm\Container
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/tiara-orm
 */
final class MappingDriverFactoryTest extends AbstractTestCase
{
    public function testCanReadEntityMetadata()
    {
        $container = $this->getContainer();
        /** @var MappingDriver $driver */
        $driver = $container->get(MappingDriver::class);

        $classes = $driver->getAllClassNames();
        self::assertContains(MockEntity::class, $classes);
    }
}
