<?php
declare(strict_types=1);

namespace TiaraTest\Orm\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * Class MockEntity
 *
 * @package TiaraTest\Orm\Entity
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/tiara-orm
 *
 * @ORM\Entity()
 * @ORM\Table(name="entity")
 */
class MockEntity
{
    /**
     * @ORM\Id()
     * @ORM\GeneratedValue(strategy="AUTO")
     * @ORM\Column(type="bigint", options={"unsigned": true})
     */
    private ?int $id = null;

    /**
     * @return int|null
     */
    public function getId(): ?int
    {
        return $this->id;
    }
}
